﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine.UI;
using UnityEngine;

public class DialogueEvent : MonoBehaviour {
	[SerializeField]
	GameObject dialogueTextDisplay;


	public IEnumerator dialogueAction(CutsceneEvent cutsceneEvent) {
		//gets access to the text within the textbox
		Text dialogueText;
		dialogueText = dialogueTextDisplay.GetComponentInChildren<Text> ();
		//displays the textbox and the text
		dialogueTextDisplay.SetActive (true);
		//sets the text displayed within the textbox to what was declared within the cutscene event.
		dialogueText.text = cutsceneEvent.charName + ": " + cutsceneEvent.dialogue;
		//if the cutscene has to wait for the text to stop displaying
		if (cutsceneEvent.wait) {
			//if yes, wait
			yield return StartCoroutine (stopDialogue ());
		} else {
			//if not, continue on with the cutscene
			StartCoroutine (stopDialogue ());
		}
		yield return 0;
	}

	public IEnumerator stopDialogue() {
		//wait 2 seconds and then hide the textbox again
		yield return new WaitForSeconds (2);
		dialogueTextDisplay.SetActive (false);
		yield return 0;
	}
}
